#include "bhv_markpassline.h"

#include <vector>
#include <rcsc/geom/line_2d.h>
#include <rcsc/player/player_agent.h>
#include <rcsc/player/intercept_table.h>
#include <rcsc/common/logger.h>

using namespace std;
using namespace rcsc;

Bhv_MarkPassLine::Bhv_MarkPassLine()
{
}


bool Bhv_MarkPassLine::execute( rcsc::PlayerAgent * agent )
{
    // Who is the ball owner opp
    const AbstractPlayerObject* opp_bowner = agent->world().interceptTable()->fastestOpponent();
    if ( opp_bowner == NULL )
    {
        dlog.addText( Logger::ACTION,
                      __FILE__ " Fastest opponent not found");
        return false;
    }

    // Figure out which pass line should I mark
    const AbstractPlayerObject* it_possible_opp_receiver = agent->world().opponentsFromSelf().begin();
    while ( it_possible_opp_receiver != agent->world().opponentsFromSelf().end() )
    {
        bool found_pass_line = false;
        // Mark the opponent I'm closest to if no teammate is closer than me
        for ( const AbstractPlayerObject* it_teammate = agent->world().teammates().begin() ;
              it_teammate != agent->world().teammates().end() ;
              it_teammate++ )
        {
            // Mark the pass line that is closest to me?
            if ( it_possible_opp_receiver->distFromSelf() > it_teammate->pos().dist(it_possible_opp_receiver) )
            {
                break; // An opponent
            }
        }
        if
    }

    // Pass lines with receivers closer to our goal are more dangerous
    // Long distance passes are less reliable
    return true;
}
