#ifndef ACTGEN_FLUX_DRIBBLE_H
#define ACTGEN_FLUX_DRIBBLE_H


#include "action_generator.h"

namespace rcsc {
    class WorldModel;
    class AbstractPlayerObject;
    class Vector2D;
}

class ActGen_FluxDribble
    : public ActionGenerator {

public:
    virtual
    void generate( std::vector< ActionStatePair > * result,
                   const PredictState & state,
                   const rcsc::WorldModel & wm,
                   const std::vector< ActionStatePair > & path ) const;

};


#endif // ACTGEN_FLUX_DRIBBLE_H
