// -*-c++-*-

/***************************************************************************
                                act_hold.h
                       Abstract base class for CLang IActions
                             -------------------
    begin                : 28-MAY-2002
    copyright            : (C) 2006 Luis Mota
    email                : luis.mota@iscte.pt
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU LGPL as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option) any  *
 *   later version.                                                        *
 *                                                                         *
 ***************************************************************************/
#ifndef SP_ACTION_HOLD_H
#define SP_ACTION_HOLD_H

#include <setplay/model/actions/iaction.h>

using namespace std;

namespace setplay {

    // Hold ball possession in present position
    class ActHold: public IAction {
    public:
      ActHold();
      ~ActHold();

      ActionType actionType() const;

      /*virtual const IAction* necessaryAction(const IPlayerID& p,
                                            const IWorldModel* world) const ;*/

     // virtual bool isAccomplished(const IPlayerID& p, const IWorldModel* world) const;

      // virtual vector<const IPlayerID*>* relevantParticipants()

      // Class specific stuff
      TokenType type() const;

      ActHold& operator*();
      ActHold* clone() const;
      void visit(IVisitor& visitor);
    };

}

#endif
