#include "dont.h"

#include <setplay/model/ivisitor.h>

namespace setplay {

        Dont::Dont(Players *players, Actions* actions)
          :IDirective(players,actions)
        {

        }

        Dont::Dont(const Dont &other)
            : IDirective(other)
        {

        }

        Dont::~Dont()
        {

        }

        TokenType Dont::type() const
        {
            return TT_DIRECTIVE_DONT;
        }

        IDirective::DirectiveType Dont::directiveType() const
        {
            return IDirective::DT_DONT;
        }

        void Dont::visit(IVisitor& visitor)
        {
            visitor.visit( *this );
        }

        Dont* Dont::clone() const
        {
            return new Dont( *this );
        }

}
