#ifndef SETPLAY_ILOCATION2D_H
#define SETPLAY_ILOCATION2D_H

#include <setplay/model/object.h>

namespace setplay {
    class ILocation2D
            : public Object {
    public:
        typedef enum  {
            LT_REGION,
            LT_POINT,
            LT_RAY,
            LT_MOBILE_OBJECT,
            LT_LINE,
            LT_VARIABLE
        } LocationType;

        virtual ~ILocation2D() { }

        virtual LocationType locationType() const = 0;

        virtual ILocation2D& operator*() = 0;
        virtual ILocation2D* clone() const = 0;
        virtual void visit(IVisitor& visitor) = 0;
    };

}
#endif // SETPLAY_ILOCATION2D_H

