#include "finish.h"

#include <setplay/model/ivisitor.h>

namespace setplay {

    Finish::Finish(ICondition* start_condition,
                   Directives* directives)
        : ITransition(start_condition, directives)
    {

    }

    Finish::~Finish()
    {

    }

    TokenType Finish::type() const
    {
        return TT_TRANSITION_FINISH;
    }

    ITransition::TransitionType Finish::transitionType() const
    {
        return ITransition::TT_FINISH;
    }

    void Finish::visit(IVisitor& visitor)
    {
        visitor.visit( *this );
    }

    Finish* Finish::clone() const
    {
        return new Finish( *this );
    }

}
