#ifndef SETPLAY_ABORT_DECIDER_H
#define SETPLAY_ABORT_DECIDER_H

namespace setplay {

class SetplayInterpreter;

class IAbortDecider
{
public:
    virtual ~IAbortDecider() { }

    virtual bool shouldAbort(const SetplayInterpreter& interpreter) = 0;
};


class AnyParticipantUpdaterDecider
        : public IAbortDecider
{
public:
    bool shouldAbort(const SetplayInterpreter& interpreter);
};

class LeaderOnlyAbortDecider
        : public IAbortDecider
{
public:
    bool shouldAbort(const SetplayInterpreter& interpreter);
};

}
#endif // ABORT_DECIDER_H
