#include "corner_kick.h"
#include "ievent_visitor.h"

namespace soccer 
{
	namespace event 
	{

        CornerKick::CornerKick(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{

		}

        IEvent::EventType CornerKick::type() const
        {
            return IEvent::CornerKick;
        }

        TeamSide CornerKick::side() const
        {
            return M_side;
        }
		
        void CornerKick::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}
