#ifndef CORNER_KICK_H
#define CORNER_KICK_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer {
    namespace event {

        class CornerKick: public Event {
        public:
            CornerKick(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;
        };

    }
}


#endif
