#ifndef GOALIE_CATCH_H
#define GOALIE_CATCH_H

#include <soccer/events/event.h>
#include <soccer/types.h>

namespace soccer {
namespace event {

class GoalieCatch
        : public Event {
public:
    GoalieCatch(unsigned int time, TeamSide team_side);

    EventType type() const;
    TeamSide teamSide() const;

    void visit(IEventVisitor &visitor) const;
private:
    TeamSide M_team_side;
};

}
}

#endif
