#include "indirect_free_kick.h"
#include "ievent_visitor.h"

namespace soccer 
{
	namespace event 
	{

        IndirectFreeKick::IndirectFreeKick(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{

		}

        IEvent::EventType IndirectFreeKick::type() const
        {
            return IEvent::IndirectFreeKick;
        }

        TeamSide IndirectFreeKick::side() const
		{
            return M_side;
		}
		
        void IndirectFreeKick::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}
