#ifndef INTERCEPTION_H
#define INTERCEPTION_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
    namespace event
    {

        class Interception: public Event {
        public:
            Interception(unsigned int start_time, PlayerId interceptor);

            EventType type() const;
            PlayerId interceptor() const;

            void visit(IEventVisitor& visitor) const;
        private:
            PlayerId M_interceptor;
        };

    }
}

#endif
