#include "kick_off.h"
#include "ievent_visitor.h"

namespace soccer
{
	namespace event
	{

        KickOff::KickOff(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{

		}

        IEvent::EventType KickOff::type() const
        {
            return IEvent::KickOff;
        }


        TeamSide KickOff::side() const
		{
            return M_side;
		}
		
        void KickOff::visit(IEventVisitor& visitor) const
		{
            visitor.visit( *this );
		}

	}
}
