#ifndef POSSESSION_CHANGED_H
#define POSSESSION_CHANGED_H

#include <soccer/events/event.h>
#include <soccer/types.h>

namespace soccer {
namespace event {

class PossessionChanged
        : public Event
{
public:
    PossessionChanged(unsigned int start_time, TeamSide team_in_possession);

    EventType type() const;
    TeamSide teamInPossession() const;

    void visit(IEventVisitor &visitor) const;
private:
    TeamSide M_team_in_possession;
};

}
}

#endif // POSSESSION_CHANGED_H
