#ifndef GAME_MODE_H
#define GAME_MODE_H

#include <soccer/game_situation.h>

namespace soccer
{

    class GameMode
    {
    public:
        GameMode();
        GameMode(GameSituation gameSituation = GameSituation(GameSituation::BeforeKickOff), unsigned int time = 0);
        GameMode(const GameMode& other);

        GameSituation gameSituation() const;
        unsigned int time() const;

        GameMode& operator=(const GameMode& game_mode);

    private:
        GameSituation M_game_situation;
        unsigned int M_time;
    };

}

#endif // GAME_MODE_H
