#ifndef BHV_MARK_PLAYER_H
#define BHV_MARK_PLAYER_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/player/abstract_player_object.h>

class BhvMarkMan
        : rcsc::SoccerBehavior
{
public:
    BhvMarkMan(const rcsc::AbstractPlayerObject* man_to_mark,
               double mark_distance = 2.0);

    bool execute( rcsc::PlayerAgent * agent );

protected:
    bool doMove(rcsc::PlayerAgent *agent);
    bool doKick(rcsc::PlayerAgent* agent);
    bool doTackle(rcsc::PlayerAgent* agent);

private:
    const rcsc::AbstractPlayerObject* M_man_to_mark;
    double M_mark_distance;
};

#endif // BHV_MARK_PLAYER_H
