// -*-c++-*-
#ifndef SP_ACTION_DONE_MESSAGE_H
#define SP_ACTION_DONE_MESSAGE_H


#include <setplay/communication/imessage.h>

namespace setplay {

    /**
     * TODO Use it to ensure that all players actions were completed
     * Lead player should expect the reception of all of these messages if he can't decide whether
     * r not to proceed by itself based on the gather vision
     */
    class ActionDoneMessage: public IMessage {
    public:
        ActionDoneMessage(const PlayerAffiliation& sender,
                          unsigned int time, unsigned int setplayId = false, bool inverted = false);
        ActionDoneMessage(const ActionDoneMessage& other);
        ~ActionDoneMessage();

        MessageType type() const;

        void getProcessed(IMessageProcessor& processor) const;

        ActionDoneMessage* clone() const;
    private:

    };

}

#endif
