// -*-c++-*-
#ifndef SP_SETPLAY_FINISH_MESSAGE_H
#define SP_SETPLAY_FINISH_MESSAGE_H

#include <setplay/communication/imessage.h>
using namespace std;

namespace setplay {

    class SetplayFinishMessage: public IMessage {
    public:
      SetplayFinishMessage(const PlayerAffiliation& sender,
                           unsigned int time,
                           unsigned int setplayId, bool inverted = false);
      SetplayFinishMessage(const SetplayFinishMessage& other);
      ~SetplayFinishMessage();
	  
      void getProcessed(IMessageProcessor& sender) const;

      MessageType type() const;

      SetplayFinishMessage* clone() const;
      void print(std::ostream& os) const;
    };

}

#endif
