#include "cond_bool.h"

#include <setplay/model/ivisitor.h>

using namespace std;

namespace setplay {

    CondBool::CondBool( bool state = true)
        : ICondition()
        , M_state( state )
    {

    }

    CondBool::CondBool( const CondBool& cond )
        : M_state(cond.M_state)
    {

    }

    CondBool::~CondBool()
    {

    }

    TokenType CondBool::type() const
    {
        return TT_CONDITION_BOOL;
    }

    bool CondBool::state() const
    {
        return M_state;
    }

    void CondBool::visit(IVisitor& visitor)
    {
        visitor.visit( *this );
    }

}
