#ifndef COND_GOAL_SCORED_H
#define COND_GOAL_SCORED_H

#include <setplay/model/conditions/icondition.h>
#include <rcsc/types.h>

namespace setplay {

class CondGoalScored
       : public ICondition
{
public:
    CondGoalScored(rcsc::SideID scorer_side);

    CondGoalScored* clone() const;
    CondGoalScored& operator*();
    void visit(IVisitor& visitor);


private:
    rcsc::SideID M_scorer_side;
};

}

#endif // COND_GOAL_SCORED_H
