#ifndef SP_IPOINT2D_H
#define SP_IPOINT2D_H

#include "rcsc/geom/vector_2d.h"
#include <setplay/model/geom/ilocation.h>

namespace setplay {
    class IContextProvider;
    class Decimal;
    class IVisitor;


    class IPoint2D
            : public ILocation2D {
    public:

      virtual
      ~IPoint2D()
        { }

      LocationType locationType() const
      {
          return LT_POINT;
      }

      virtual IPoint2D& operator*() = 0;
      virtual IPoint2D* clone() const = 0;
    };
}
#endif
