#ifndef SETPLAY_DATABASE_H
#define SETPLAY_DATABASE_H

#include <map>
#include <setplay/model/setplay.h>

namespace setplay {

typedef std::map<unsigned int, Setplay*> Setplays;

class SetplayDatabase
{
public:
    SetplayDatabase();
    ~SetplayDatabase();

    bool contains(unsigned int id) const;
    Setplay* getSetplay(unsigned int id) const;
    unsigned int count() const;
    const Setplays &setplays() const;

    void add(Setplay* setplay);
    bool remove(unsigned int id);
    void clear();

private:
    Setplays M_setplays;
};


}

#endif // SETPLAY_DATABASE_H
