#include "region.h"
#include <iostream>

using namespace std;
using namespace fcportugal::setplay;

int main(){
  cout<<"---------------------------------------------------------------"<<endl;
  cout<<"   REGION UNIT TEST "<<endl;
  cout<<"---------------------------------------------------------------"<<endl;

 string sobra;

 Point* pt1 = Point::parse("(pt :x 1.45 :y -4.76)   ",sobra,NULL,NULL);

 if(pt1) pt1->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 pt1 = Point::parse("(pt :x 0 :y 4)   ",sobra,NULL,NULL);

 if(pt1) pt1->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 pt1 = Point::parse("(pt ball)",sobra,NULL,NULL);

 if(pt1) pt1->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 pt1 = Point::parse("(pt :player (playerRole :roleName isto) )  ",sobra,NULL,NULL);

 if(pt1) pt1->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 pt1 = Point::parse("(pt :player (player :team our :number 14) )  ",sobra,NULL,NULL);

 if(pt1) pt1->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 //Testes a regiao

 IRegion* reg=NULL;

 vector<SetplayParameter*>* vec = new vector<SetplayParameter*>;

 reg=IRegion::parse("(pt :player (player :team our :number 14) )  ",sobra,vec,NULL);

 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;


 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 reg=IRegion::parse("(regVar :name tipoIsto )  ",sobra,vec,NULL);
 vec->push_back((RegVar*)reg);

 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 Point* pt=Point::parse("(ptVar :name tipoIsto2 )  ",sobra,vec,NULL);
 vec->push_back((PointVar*)pt);

 cout<<endl<<"Nome da var:"<<((PointVar*)pt)->name()<<endl;

 if(pt) pt->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;

 reg=IRegion::parse("tipoIsto ",sobra,vec,NULL);

 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 pt=Point::parse("tipoIsto2",sobra,vec,NULL);
 if(pt){ 
   cout<<"\nAgora e' o PtVar por nome:" <<endl;
   pt->print(cout);
   cout.flush();
   cout<<"Nao e' null. Tipo:";
   cout.flush();

   //GRANDE BUG!
   //ISTO ESTA' A FALHAR!!!
   //cout<< ((SetplayParameter****)pt)->type();
   cout.flush();
   cout<<"Agora como parameter:"<<endl;
   cout.flush();

   //GRANDE BUG!
   //ISTO ESTA' A FALHAR!!!
   //((SetplayParameter****)pt)->print(cout);
}
 else cout <<endl<< "Bico Point: null"<<endl;
 cout<<"Comp. sobra:"<< sobra.length() <<endl;

 

 reg=IRegion::parse("(regNamed :name tipoIsto )",sobra,vec,NULL);
 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"\nComp. sobra:"<< sobra.length() <<endl;


 reg=IRegion::parse("(arc :center (pt :x 1.45 :y -4.76) :radius_small 0.2 :radius_large 3.56 :angle_begin 0 :angle_span 2.3)  ",sobra,vec,NULL);
 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;


 reg=IRegion::parse("(rec :points (list (pt :x 1.45 :y -4.76) (pt :x 0 :y 4) ))  ",sobra,vec,NULL);
 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;


 reg=IRegion::parse("(triang :points (list (pt :x 1.45 :y -4.76) (pt :x 0 :y 4) (pt :x 0 :y 4) ) )",sobra,vec,NULL);
 if(reg) reg->print(cout);
 else cout <<endl<< "Bico: null"<<endl;

 cout<<"   Comp. sobra:"<< sobra.length() <<endl;


}
