#include "goal_kick.h"
#include "ievent_visitor.h"

namespace soccer 
{
	namespace event 
	{

        GoalKick::GoalKick(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{

		}

        IEvent::EventType GoalKick::type() const
        {
            return IEvent::GoalKick;
        }

        TeamSide GoalKick::side() const
		{
            return M_side;
		}
		
        void GoalKick::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}
