#ifndef GOAL_KICK_TAKEN_H
#define GOAL_KICK_TAKEN_H

#include <soccer/events/event.h>
#include <soccer/types.h>

namespace soccer {
    namespace event {

        class GoalKickTaken
                : public Event {
        public:
            GoalKickTaken(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;
        };

    }
}


#endif // GOAL_KICK_TAKEN_H
