#ifndef IZONE_H
#define IZONE_H

#include "istatic_object.h"
#include <string>
#include <rcsc/geom/region_2d.h>

namespace soccer {
namespace regions {

	class IZone: public rcsc::Region2D {
	public:
		IRegion(rcsc::Region2D& region)
			: M_region(region) 
		{
 
		}

		virtual std::string name() const = 0;
		virtual bool contains(const IStaticObject& object) const = 0;
		// virtual bool contains(const IRegion& region) const = 0;
		// virtual bool intersects(const IRegion& zone) const = 0;
	private:
		rcsc::Region2D& M_region;
	};

}
}

#endif
